Skip to main content
GET
/
api
/
v2
/
platform
/
shipping_categories
Return a list of Shipping Categories
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('http://{defaultHost}/api/v2/platform/shipping_categories', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": [
    {
      "id": "134",
      "type": "shipping_category",
      "attributes": {
        "name": "ShippingCategory 134",
        "created_at": "2022-11-08T19:35:21.335Z",
        "updated_at": "2022-11-08T19:35:21.335Z"
      }
    },
    {
      "id": "135",
      "type": "shipping_category",
      "attributes": {
        "name": "ShippingCategory 135",
        "created_at": "2022-11-08T19:35:21.336Z",
        "updated_at": "2022-11-08T19:35:21.336Z"
      }
    }
  ],
  "meta": {
    "count": 2,
    "total_count": 2,
    "total_pages": 1
  },
  "links": {
    "self": "http://www.example.com/api/v2/platform/shipping_categories?page=1&per_page=&filter[name_i_cont]=",
    "next": "http://www.example.com/api/v2/platform/shipping_categories?filter%5Bname_i_cont%5D=&page=1&per_page=",
    "prev": "http://www.example.com/api/v2/platform/shipping_categories?filter%5Bname_i_cont%5D=&page=1&per_page=",
    "last": "http://www.example.com/api/v2/platform/shipping_categories?filter%5Bname_i_cont%5D=&page=1&per_page=",
    "first": "http://www.example.com/api/v2/platform/shipping_categories?filter%5Bname_i_cont%5D=&page=1&per_page="
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer
per_page
integer
filter[name_i_cont]
string

Response

Records returned

data
object[]
required
meta
object
required